using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface IEducationService
    {

        Task<DoctorEducationExperienceDTO> GetEducation(Guid doctorId);

        #region  教育经历
        Task<IResponseOutput> AddOrUpdateEducationInfo(EducationCommand doctorEducationInfoViewModel);

        Task<IResponseOutput> DeleteEducationInfo(Guid doctorId);

        #endregion

        #region 继续教育经历
        Task<IResponseOutput> AddOrUpdatePostgraduateInfo(PostgraduateCommand doctorContinueLearningViewModel);
        Task<IResponseOutput> DeletePostgraduateInfo(Guid doctorId);

        #endregion

    }
}